CreateRezId (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.project.core.processes.CreateRezId class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.project.core.processes
Class CreateRezId

    java.lang.Object
      com.nokia.carbide.templatewizard.process.AbstractProcess
          com.nokia.carbide.templatewizard.process.AbstractProjectProcess
              com.nokia.carbide.cpp.project.core.processes.CreateRezId

All Implemented Interfaces:
  IProcess

    public class CreateRezId

extends AbstractProjectProcess

Process used in templates to create a 4 character string based on the project name, which is used in the main resource file in the NAME statement.

See the documentation for Creating Wizard Templates.

Field Summary

Fields inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`projectParameter`

Constructor Summary
`CreateRezId()`

Method Summary
`protected Plugin` | `getPlugin()` Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.
`void` | `process(ITemplate template, java.util.List<IParameter> parameters, IProgressMonitor monitor)` The main method called to execute this process.

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`getProjectName, init`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProcess
`fail, fail, failIfFalse, failIfNull, findParameterByName, getProcessName, getRequiredAttributeFromParameter, getRequiredParameterByName, mustRunInUIThread, setRunInUIThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateRezId

    public CreateRezId()

Method Detail

### process

    public void process(ITemplate template,
                        java.util.List<IParameter> parameters,
                        IProgressMonitor monitor)
                 throws CoreException

  Description copied from interface: `IProcess`
  The main method called to execute this process.

  Specified by:
    `process` in interface `IProcess`
  Overrides:
    `process` in class `AbstractProcess`
  Parameters:
    `template` - the `ITemplate` for this process
    `parameters` - a list of `IParameter`
    `monitor` - the `IProgressMonitor`
  Throws:
    `CoreException` - if the process fails

### getPlugin

    protected Plugin getPlugin()

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.

  Specified by:
    `getPlugin` in class `AbstractProcess`
  Returns:
    `org.eclipse.core.runtime.Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD